// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: regulatormodule/regulatormodule.proto

package openfmb.regulatormodule;

public interface RegulatorControlOrBuilder extends
    // @@protoc_insertion_point(interface_extends:regulatormodule.RegulatorControl)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.ControlValue controlValue = 1 [(.uml.option_parent_message) = true];</code>
   * @return Whether the controlValue field is set.
   */
  boolean hasControlValue();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.ControlValue controlValue = 1 [(.uml.option_parent_message) = true];</code>
   * @return The controlValue.
   */
  openfmb.commonmodule.ControlValue getControlValue();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.ControlValue controlValue = 1 [(.uml.option_parent_message) = true];</code>
   */
  openfmb.commonmodule.ControlValueOrBuilder getControlValueOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.CheckConditions check = 2;</code>
   * @return Whether the check field is set.
   */
  boolean hasCheck();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.CheckConditions check = 2;</code>
   * @return The check.
   */
  openfmb.commonmodule.CheckConditions getCheck();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.CheckConditions check = 2;</code>
   */
  openfmb.commonmodule.CheckConditionsOrBuilder getCheckOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.regulatormodule.RegulatorControlFSCC regulatorControlFSCC = 3;</code>
   * @return Whether the regulatorControlFSCC field is set.
   */
  boolean hasRegulatorControlFSCC();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.regulatormodule.RegulatorControlFSCC regulatorControlFSCC = 3;</code>
   * @return The regulatorControlFSCC.
   */
  openfmb.regulatormodule.RegulatorControlFSCC getRegulatorControlFSCC();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.regulatormodule.RegulatorControlFSCC regulatorControlFSCC = 3;</code>
   */
  openfmb.regulatormodule.RegulatorControlFSCCOrBuilder getRegulatorControlFSCCOrBuilder();
}
